View Issue Details

IDProjectCategoryView StatusLast Update
0001924Common[All Projects] Internal reportpublic2016-12-30 22:44
ReporterXenostomAssigned ToXenostom 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status CloseResolutionfixed 
Product Version 
Target VersionFixed in Version3.3.0 
Summary0001924: $domDoc->schemaValidate($xsdPath) kills PHP
DescriptionDans hgstatus:245 si un fichier XML est invalide, (!$domDoc->schemaValidate($xsdPath)) va stopper le processus PHP avec un code d'erreur 255 au lieu de renvoyer une exception ou de retourner FALSE comme cela devrait.

C'est le cas à MTA avec PHP 7.1.x et avec PHP 5.6.25

Il faut que je vois si c'est aussi le cas chez moi (alors, ce serait à fixer) ou si c'est encore un des trucs de merde insupportable de ce putain de PC de "travail".
TagsNo tags attached.
Attach Tags

Activities

Xenostom

Xenostom

2016-12-23 16:13

developer   ~0002807

Ca n'a pas posé de soucis hier chez moi, donc c'est apparemment une couille (encore!) d'ici.
Xenostom

Xenostom

2016-12-23 17:01

developer   ~0002808

Last edited: 2016-12-30 22:43

Bon, à rechecker dès que je rentre car je ne vois pas trop d'où viendrait le soucis. Il se peut en fait que ce soit pareil à la maison...

Après, est-ce gênant? Je n'ai pas vu de problème majeur: ce n'est pas le comportement de base auquel je m'attends, mais bon.

Sinon, cela veut dire de la complexité en plus pour dire à libxml de ne pas générer des erreurs de base et de gérer moi-même les erreurs libXML sous forme d'exception: pas sûr que j'y gagne!
Xenos

Xenos

2016-12-29 20:32

administrator   ~0002821

Last edited: 2016-12-30 22:43

Bon, je viens de re-re faire le test: ici, à la maison, j'ai bien un Warning qui ne tue pas le process PHP et je suis sur WAMP (php7). C'est le comportement logique du truc.

Je vais voir demain si j'ai pareil au taff, et si non, j'aviserai sur ce qu'il convient de faire.
Xenostom

Xenostom

2016-12-30 12:42

developer   ~0002826

Last edited: 2016-12-30 22:43

Aaahhh, c'est XDebug qui tourne au taff et pas chez moi quand je fais ces compilations de gamebook/comics.

Donc, soit il faut désactiver XDebug dans le PHP "auto_prepend", soit il faut le désactiver dans le fichier PHP du build. Le 1er est plus générique, mais risque de se perdre avec le temps, alors que le 2nd est trop spécifique (à faire à chaque builder/deployeur).

Le mieux serait peut-être de versionner le prepend file.
Xenostom

Xenostom

2016-12-30 13:39

developer   ~0002827

Last edited: 2016-12-30 22:43

Ces fichiers prepend sont déjà versionnés, donc c'est tout bon: j'ai juste désactivé XDebug dans ces fichiers (2: un pour MTA et un pour chez moi) et cela semble fonctionner.

Issue History

Date Modified Username Field Change
2016-12-22 14:40 Xenostom New Issue
2016-12-23 16:13 Xenostom Assigned To => Xenostom
2016-12-23 16:13 Xenostom Status New => In progress
2016-12-23 16:13 Xenostom Note Added: 0002807
2016-12-23 17:01 Xenostom Assigned To Xenostom => Xenos
2016-12-23 17:01 Xenostom Status In progress => Feedback
2016-12-23 17:01 Xenostom Note Added: 0002808
2016-12-29 20:28 Xenos Status Feedback => In progress
2016-12-29 20:32 Xenos Assigned To Xenos => Xenostom
2016-12-29 20:32 Xenos Status In progress => Feedback
2016-12-29 20:32 Xenos Note Added: 0002821
2016-12-30 12:42 Xenostom Status Feedback => In progress
2016-12-30 12:42 Xenostom Note Added: 0002826
2016-12-30 13:39 Xenostom Status In progress => Ready
2016-12-30 13:39 Xenostom Resolution open => fixed
2016-12-30 13:39 Xenostom Note Added: 0002827
2016-12-30 22:43 AutoUpdater Status Ready => Resolved
2016-12-30 22:43 AutoUpdater Fixed in Version => 3.3.0
2016-12-30 22:44 Xenos Status Resolved => Close